
Application: gvSIG desktop - gvSIG bugs #5828
Se eliminan automáticamente las geometrías seleccionadas de una capa en edición tras eliminar una 
geometría de otra capa
02/27/2024 05:19 PM - Mario Carrera

Status: Fixed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee:
Category: Vector editing
Target version: 2.6.1-4005
Severity: Major Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: 4003 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si tenemos dos capas en edición y eliminamos un elemento de una, al poner activa la otra capa, si teníamos un elemento
seleccionado en ella lo elimina. Los pasos seguidos son:

Tengo dos capas en edición: una de polígonos y una de puntos. 
Pongo activa la de polígonos y selecciono un elemento. 
Pongo activa la de puntos, selecciono un punto y lo borro (tecla Supr.). 
Pongo activa la de polígonos y me borra automáticamente la geometría que tenía seleccionada.

Associated revisions
Revision 4284 - 02/29/2024 10:10 AM - Francisco Díaz Carsí

refs #5828 Arreglado para que la herramienta de borrado en edición no se mantenga activa una vez que ha acabado

Revision 4300 - 03/04/2024 07:57 AM - Francisco Díaz Carsí

refs #5828 Arreglado para que las herramienta de Join, Explode, Combine, ConvertToPolyline y ReverseDirection en edición no se mantengan activa
una vez que han acabado.

History
#1 - 02/29/2024 10:11 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

#2 - 02/29/2024 10:13 AM - Francisco Díaz Carsí
- Target version changed from 2.6.1-final to 2.6.1-4004

#3 - 03/01/2024 01:39 PM - Mario Carrera
- Status changed from Fixed to New

Aparte de la herramienta de eliminar geometrías ocurrirá con la de Descomponer, la de Unir geometrías y la de Combinar.
#4 - 03/04/2024 08:01 AM - Francisco Díaz Carsí
- Target version changed from 2.6.1-4004 to 2.6.1-final
- Status changed from New to Fixed

He revisado todas las herramientas para localizar aquellas a las que les ocurriera lo mismo y las he arreglado.
Estas son:
    -  Join, 
    -  Explode,
    -  Combine,
    -  ConvertToPolyline y 
    -  ReverseDirection

#5 - 03/07/2024 10:53 AM - Francisco Díaz Carsí
- Target version changed from 2.6.1-final to 2.6.1-4005
